EC_INTERACT_GET_CALLBACK(3)

NAME
ec_interact_get_callback - Get callback attached to a parse tree.

SYNOPSIS
#include <ecoli/interact.h>

ec_interact_command_cb_t ec_interact_get_callback(
    struct ec_pnode   *parse   /* The parsed tree. */
);

DESCRIPTION

This function browses the parse tree and try to find an attribute EC_INTERACT_CB_ATTR attached to a grammar node referenced in the tree. Return the value of this attribute, which is a function pointer.

RETURN VALUE

The function pointer used as command callback.

SEE ALSO

ec_interact_get_completions(3), ec_interact_print_helps(3), ec_interact_print_error_helps(3), ec_interact_print_cols(3), ec_interact_set_help(3), ec_interact_append_chars(3), ec_interact_set_desc(3), ec_interact_set_callback(3), ec_interact_get_error_helps(3), ec_interact_free_completions(3), ec_interact_get_helps(3), ec_interact_free_helps(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.